[RTFACT-9865] Improve migration of existing PyPI package to new implementation Created: 17/Apr/16  Updated: 17/Apr/16  Resolved: 17/Apr/16

Status: Resolved
Project: Artifactory Binary Repository
Component/s: PyPI
Affects Version/s: None
Fix Version/s: 4.7.3

Type: Improvement Priority: High
Reporter: Roy Zanbel (Inactive) Assignee: Shay Yaakov (Inactive)
Resolution: Fixed Votes: 0
Labels: None

Issue Links:
Relationship
relates to RTFACT-9414 Artifactory Not Compliant with PEP 0426 Resolved
relates to RTFACT-7408 Artifactory fails to find a PyPI pack... Resolved

 Description   

In version 4.7.2 introduced PyPI improvements to be:
a. Case insensitive
b. Align with PyPI spec (PEP 0426)
The upgrade process required reindexing of existing repositories either by deploying a new package or manually triggering reindex.

Improvement should trigger reindex for all PyPI repositories when upgrading from an older version of Artifactory.


Generated at Sun Jul 21 04:18:08 UTC 2019 using JIRA 7.6.3#76005-sha1:8a4e38d34af948780dbf52044e7aafb13a7cae58.